function EFFECT:Init(data)
	
	self.WeaponEnt = data:GetEntity()
	self.Attachment = data:GetAttachment()
	
	self.Position = self:GetTracerShootPos(data:GetOrigin(), self.WeaponEnt, self.Attachment)
	self.Forward = data:GetNormal()
	self.Angle = self.Forward:Angle()
	self.Right = self.Angle:Right()
	self.EndPos = data:GetOrigin()
	self.Norm = ( self.Position - self.EndPos ):Normalize()
	
	local AddVel = self.WeaponEnt:GetOwner():GetVelocity()
	local emitter = ParticleEmitter(self.Position)

    for i = 1,4 do
		local particle = emitter:Add("particle/particle_smokegrenade", self.Position)
		particle:SetVelocity(70 * i * self.Forward + 1.1 * AddVel)
		particle:SetDieTime(math.Rand(0.36,0.78))
		particle:SetStartAlpha(math.Rand(100,175))
		particle:SetStartSize(math.random(3,4))
		particle:SetEndSize(math.Rand(17,28))
		particle:SetRoll(math.Rand(180,480))
		particle:SetRollDelta(math.Rand(-1,1))
		particle:SetColor(190,190,190)
		particle:SetLighting(true)
		particle:SetAirResistance(150)
    end

    local particle = emitter:Add( "sprites/heatwave", self.Position - self.Forward * 4 )
	particle:SetVelocity( 120 * self.Forward + 20 * VectorRand() + 1.05 * AddVel )
	particle:SetGravity( Vector( 0, 0, 10 ) )
	particle:SetAirResistance( 50 )
	particle:SetDieTime( math.Rand( 0.2, 0.35 ) )
	particle:SetStartSize( math.random( 3, 5 ) )
	particle:SetEndSize( math.Rand( 17, 29 ) )
	particle:SetRoll( math.Rand( 180, 480 ) )
	particle:SetRollDelta( math.Rand( -1, 1 ) )
	
	if math.random(1,3) == 1 then
		for i = 1, math.random(3,6) do
			local particle = emitter:Add("effects/yellowflare", self.Position)
			particle:SetVelocity(math.Rand( 100, 320 ) * self.Forward + VectorRand() * 100 )
			particle:SetDieTime(math.Rand(0.2, 1))
			particle:SetStartAlpha(255)
			particle:SetStartSize(math.random(1,3))
			particle:SetRoll(0)
			particle:SetGravity(Vector(0, 0, -(math.random(100,400))))
			particle:SetCollide(true)
			particle:SetAirResistance(30)
			particle:SetStartLength(0.2)
			particle:SetEndLength(0.2)
			particle:SetVelocityScale(true)
			particle:SetCollide(true)
		end
	end	
	
	emitter:Finish()
	
end

function EFFECT:Think()

	return false
end


function EFFECT:Render()
end